<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2016-2018 Linagora

 This program/library is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 2.1 of the License, or (at your
 option) any later version.

 This program/library is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program/library; If not, see http://www.gnu.org/licenses/
 for the GNU Lesser General Public License version 2.1.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tns="http://petals.ow2.org/talend/ArticleImporterJob/"
   xmlns:xop="http://www.w3.org/2004/08/xop/include">

   <xsl:output omit-xml-declaration="no" />
   <xsl:output method="xml" />
   <xsl:output version="1.0" />
   <xsl:output indent="yes" />
   <xsl:output media-type="text/xml" />
   <xsl:output encoding="UTF-8" />

   <xsl:template match="/">
      <xsl:apply-templates select="tns:executeJobResponse" />
   </xsl:template>

   <xsl:template match="tns:executeJobResponse">
      <xsl:apply-templates select="tns:talend-job-output" />
   </xsl:template>

   <xsl:template match="tns:talend-job-output">
      <xsl:apply-templates select="tns:outAttachment" />
   </xsl:template>

   <xsl:template match="tns:outAttachment">
      <xsl:apply-templates select="tns:fileResult" />
   </xsl:template>

   <xsl:template match="tns:fileResult">
      <xsl:element name="mput" namespace="http://petals.ow2.org/components/filetransfer/version-3">
         <xsl:element name="attachments" namespace="http://petals.ow2.org/components/filetransfer/version-3">
            <xsl:element name="filename" namespace="http://petals.ow2.org/components/filetransfer/version-3">
               <xsl:copy-of select="tns:fileContent/xop:include" />
            </xsl:element>
         </xsl:element>
      </xsl:element>
   </xsl:template>

</xsl:stylesheet>
